package com.wzy.auth.controller;

import com.alibaba.fastjson.JSONObject;
import com.wzy.auth.service.AuthService;
import com.wzy.common.domain.User;
import com.wzy.common.domain.request.LoginRequest;
import com.wzy.common.domain.response.JwtResponse;
import com.wzy.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

@RestController
@Log4j2
public class AuthController {

    @Autowired
    private AuthService authService;

    @Autowired
    private HttpServletRequest request;

    @PostMapping("/login")
    public Result<JwtResponse> login(@RequestBody LoginRequest loginRequest){
        log.info("功能:登录,请求UIR:{},请求方式:{},请求参数:{}",request.getRequestURI(),
                request.getMethod(),loginRequest);
        Result<JwtResponse> result = authService.login(loginRequest);
        log.info("功能:登录,请求UIR:{},请求方式:{},响应结果:{}",request.getRequestURI(),
                request.getMethod(), JSONObject.toJSONString(result));
        return result;
    }

    @GetMapping("/user/info")
    public Result<User> userInfo(){
        User user = authService.userInfo();
        return Result.success(user);
    }

    @PostMapping("/logout")
    public Result logout(){
        authService.logout();
        return Result.success();
    }
}
