package com.wzy.es.controller;

import com.alibaba.fastjson.JSONObject;
import com.wzy.common.domain.request.Req;
import com.wzy.common.result.Result;
import com.wzy.es.service.EsService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@RestController
@Log4j2
public class EsController {

    @Autowired
    private EsService esService;

    @Autowired
    private HttpServletRequest request;

    @PostMapping("/list")
    public Result list(@RequestBody Req req){
        log.info("功能:ES列表,请求UIR:{},请求方式:{},请求参数:{}",request.getRequestURI(),
                request.getMethod(),req);
        Result result = esService.list(req);
        log.info("功能:ES列表,请求UIR:{},请求方式:{},响应结果:{}",request.getRequestURI(),
                request.getMethod(), JSONObject.toJSONString(result));
        return result;
    }
}
