package com.wzy.user.controller;

import com.alibaba.fastjson.JSONObject;
import com.wzy.common.domain.User;
import com.wzy.common.result.Result;
import com.wzy.user.service.UserService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@RestController
@Log4j2
public class UserController {

    @Autowired
    private UserService userService;

    @Autowired
    private HttpServletRequest request;

    @PostMapping("/login/{username}")
    public Result<User> login(@PathVariable String username){
        log.info("功能:登录,请求UIR:{},请求方式:{},请求参数:{}",request.getRequestURI(),
                request.getMethod(),username);
        User user = userService.login(username);
        Result<User> result = Result.success(user);
        log.info("功能:登录,请求UIR:{},请求方式:{},响应结果:{}",request.getRequestURI(),
                request.getMethod(), JSONObject.toJSONString(result));
        return result;
    }
}
